# NOTICE:
#
# Application name defined in TARGET has a corresponding QML filename.
# If name defined in TARGET is changed, the following needs to be done
# to match new name:
#   - corresponding QML filename must be changed
#   - desktop icon filename must be changed
#   - desktop filename must be changed
#   - icon definition filename in desktop file must be changed
#   - translation filenames have to be changed

# The name of your application
TARGET = harbour-volumio

CONFIG += sailfishapp

SOURCES += src/harbour-volumio.cpp

DISTFILES += qml/harbour-volumio.qml \
    LICENSE \
    README.md \
    qml/cover/CoverPage.qml \
    qml/pages/Splash.qml \
    qml/pages/VolumIo.qml \
    rpm/harbour-volumio.changes.in \
    rpm/harbour-volumio.changes.run.in \
    rpm/harbour-volumio.spec \
    translations/*.ts \
    harbour-volumio.desktop

SAILFISHAPP_ICONS = 86x86 108x108 128x128 172x172

# to disable building translations every time, comment out the
# following CONFIG line
CONFIG += sailfishapp_i18n

PKGCONFIG += qt5embedwidget

# German translation is enabled as an example. If you aren't
# planning to localize your app, remember to comment out the
# following TRANSLATIONS line. And also do not forget to
# modify the localized app name in the the .desktop file.
TRANSLATIONS += translations/harbour-volumio-de.ts
